# httplz-docker

Alpine based Docker Image containing the [httplz](https://github.com/thecoshman/http) Rust binary.

## Build

```shell
sudo docker compose build
```

## Starting a WebDAV server

The [docker-compose.yml](docker-compose.yml) file contains an example how to use the `httplz` binary as WebDAV server:

```shell
sudo docker compose up -d
```

`sudo docker stats` reports that it has a memory footprint of 14 MB (while idle).

## License

MIT, see [LICENSE](LICENSE).
